# DeviceEmailInfo

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

* [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md)
  * [DeviceEmailInfo](/hybrid/start/api/communication/wisej.hybrid.deviceemailinfo.md)

Represents information about the device's email capabilities. This class provides properties to check if specific email-related features are supported by the device.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceEmailInfo : DeviceInfoBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceEmailInfo
    Inherits DeviceInfoBase
```

{% endtab %}
{% endtabs %}

Access this class through the [Info](/hybrid/start/api/general/wisej.hybrid.device.md#info) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceEmailInfo()

Initializes a new instance of the [DeviceEmailInfo](/hybrid/start/api/communication/wisej.hybrid.deviceemailinfo.md) class.

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsComposeSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether email composition is supported on the device.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)OnWebUpdate(info)

Updates the email capability information based on the data provided from a web source.

| Parameter | Type                                                          | Description                                          |
| --------- | ------------------------------------------------------------- | ---------------------------------------------------- |
| **info**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic object containing email support information. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/communication/wisej.hybrid.deviceemailinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
